# running on my Mac as /Applications/VisIt.app/Contents/Resources/bin/visit -cli -s effect2.py -nowin

OpenDatabase("example.silo")
AddPlot("Pseudocolor", "pressure")
a = AnnotationAttributes()
a.userInfoFlag = 0
a.databaseInfoFlag = 0
SetAnnotationAttributes(a)

AddOperator("Slice")
slice = SliceAttributes()
slice.project2d = 0
slice.originType = slice.Percent

DrawPlots()

v = GetView3D()
v.viewNormal = (0.465818, -0.628756, -0.622639)
v.focus = (0, 0, 0)
v.viewUp = (0.507936, 0.386179, -0.769978)
v.viewAngle = 30
v.parallelScale = 17.3205
v.nearPlane = -34.641
v.farPlane = 34.641
v.imagePan = (0, 0)
v.imageZoom = 1
v.perspective = 1
v.eyeAngle = 2
v.centerOfRotationSet = 0
v.centerOfRotation = (0, 0, 0)
v.axis3DScaleFlag = 0
v.axis3DScales = (1, 1, 1)
v.shear = (0, 0, 1)
v.windowValid = 1
SetView3D(v)



sw = SaveWindowAttributes()

for i in range(100):
  slice.originPercent = i
  SetOperatorOptions(slice)
  sw.family = 0
  sw.fileName = "frames/effect2_%04d" %(i)
  SetSaveWindowAttributes(sw)
  SaveWindow()

import sys
sys.exit()


